xgui(1)

NAME
xgui - graphical front end to the neural network simulation package SNNS

SYNOPSIS
xgui [netfile.net [ pattern.pat [ config .cfg ] ] ] [ options ]

OPTIONS
-font name
    font for the simulator. Available fonts can be detected with the program xfontsel(1X)
-dfont name
    font for the displays. Available fonts can be detected with the program xfontsel(1X).
-mono
    black & white graphics on color screens.
-help
    print usage information and exit.
netfile.net
    name of a network file to be loaded at startup. It must have the extension ".net"
pattern.pat
    name of a pattern file to be loaded at startup. This name must be given after the network name and must have the extension ".pat".
config.cfg
    name of a configuration file to be loaded at startup. This name must be given after the pattern file name and must have the extension ".cfg".

DESCRIPTION
The usual mode for working with the SNNS neural network simulator is via the graphical user interface provided by this program. It is an X11R5 based environment, which gives the user full information about, and full control over the network. A multitude of specialized windows may be opened simultaneously, displaying detailed information about the current state of the network. The network behavior is controlled in the so called Control Panel, just like with a remote control. All major network actions like initialization, learning, testing etc. may be started or halted from here. One or more Display panels give the user a 2D view of the network. Networks may also be created or modified in these windows with the help of the graphical network editor. By giving sequences of control keys or making selections from popup menues, groups of units and links can be created, modified or deleted. This allows for easy creation of large, complicated networks. Large regular networks can be constructed in the Bignet panel. Other available windows include displays for Hinton diagrams of the network weights, a graphical tracer of the network error during learning, a 3D display of the network, a network analyzing tool, activation function displays, as well as an Info panel. The latter one also allows to change the values of any unit or link at any time. Generated networks can be both printed as a Postscript file and stored in a network file for later reuse.

FILES
default.cfg
    default configuration of the windows. This file should be located in the current working directory, or in the directory defined by the environment variable XGUILOADPATH
help.hdoc
    help text for xgui and the graphical network editor. This file should also be located in the current working directory, or in the directory defined by the environment variable XGUILOADPATH

SEE ALSO
The SNNS user manual under the SNNS installation directory or the hypertext manual at http://www-ra.informatik.uni-tuebingen.de/SNNS/UserManual/UserManual.html batchman(1) batch execution interface for SNNS snns2c(1) compiler to transform a trained neural network into a C-routine snns(1) description of the SNNS package

AUTHOR
Guenter W. Mamier